    pibdump(1)                                   Qualcomm Atheros Open Powerline Toolkit                                  pibdump(1)

    NAME
           pibdump - Qualcomm Atheros Parameter Information Block Dump Utility

    SYNOPSIS
           pibdump [options] file [>stdout]

    DESCRIPTION
           Read a Qualcomm Atheros powerline parameter information block (PIB) file and print an object driven dump on stdout.  This
           program replaces program odd because it distinguishes between legacy and current PIB file formats.

           An object driven dump requires an object definition file that lists the size and name  of  data  objects  (ie;  integers,
           arrays or structures) within the parameter file.  Individual data members are presented as smaller, individual data dumps
           within a larger, overall data dump.

    OPTIONS
           -f file
                  The object definition file that lists the size, name and description of individual individual objects in order  of
                  occurance.   If this option is omitted then object definitions are read from stdin.  The object definition file is
                  not modified by this program.

           -?,--help
                  Print program help summary on stdout.  This option takes precedence over other options on the command line.

           -!,--version
                  Print program version information on stdout.  This option takes precedence over other options on the command line.
                  Use  this option when sending screen dumps to Atheros Technical Support so that they know exactly which version of
                  the Linux Toolkit you are using.

    ARGUMENTS
           file   The name of a binary file.  The file must have either Thunderbolt/Lightning or Panther/Lynx format or output  will
                  be incorrect.  The file is not modified by this program.  Only one such file is permitted on the command line.

    EXAMPLES
           The  following is an example object definition file for an Ethernet frame.  Frame fields, like ODA, OSA and ETHTYPE,  are
           defined by length in order of their appears in the frame.  Array subscripts following object names are optional  but,  if
           present,  become  part  of the object name.  Fields having no length are headers and will be ignored.  Comments and blank
           lines are also ignored.

              # ========================================
              #
              # ----------------------------------------

              0 header

              6 ODA[6] Own Destination Address
              6 OSA[6] Own Source Address
              2 ETHTYPE Ethertype or frame length

              # ========================================
              #
              # ----------------------------------------

              0 body

              1500 Payload[1500]

              # ========================================
              #
              # ----------------------------------------

              0 trailer

              4 CRC Cyclical Redundancy Check

           The following command uses object definition file ether.txt to identify and display  member  fields  within  binary  file
           abc.bin in hexadecimal dump format.

              # pibdump -f ether.txt abc.bin

    SEE ALSO
           chkpib(7), chkpib2(7), getpib(7), modpib(1), pib2xml(1), pibcomp(1), setpib(1), xml2pib(1)

    CREDITS
            Charles Maier <cmaier@qca.qualcomm.com>

    open-plc-utils-0.0.3                                        Mar 2014                                                  pibdump(1)

[PREV] [HOME] [NEXT]